--- title: Menus --- ## Get Menus for a Channel > [!WARNING] > The Menu Tool with the endpoint `GET /api/v1/menus/{channelHandle}` has been removed in release-2025-05.
We suggest migrating menus to data records. For detailed instructions on setting them up, refer to our [guide](/guides/editor/menus/llms.txt). > **Required scope:** `public-api:read` Menu items can be of three types: - uri for arbitrary URIs, mainly used for URLs - path for internal paths, such as when the menu item should link to an article or page - document is the same as path except it is used when routing is disabled **Use Cases** - Get menus for deliveries **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-03/menus/{channelHandle}" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-03/menus/{channelHandle} ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | channelHandle | string | x | The handle of the channel for which you want to get the events. | | ?handle | string | | Handle of the menu to retrieve. | **Response** _200 OK_ — `/api/2025-03/menus/web` ```json [ { "version": 8, "label": "My Menu", "maxDepth": 1, "nodes": [ { "id": "11111111-0601-4c2b-a3b5-4da19b6d3bde", "label": "My Index", "path": "/", "type": "uri", "target": "_self", "nodes": [ { "id": "22222222-0601-4c2b-a3b5-4da19b6d3bde", "documentId": 71, "label": "Other Page", "type": "path", "path": "/page/some-other-page", "nodes": [] } ] }, { "id": "33333333-0601-4c2b-a3b5-4da19b6d3bde", "label": "Arbitrary URL", "type": "uri", "uri": "http://example.com", "nodes": [] }, { "id": "44444444-0601-4c2b-a3b5-4da19b6d3bde", "label": "Other But External URL Link", "type": "uri", "uri": "http://foo.bar", "target": "_blank", "nodes": [] } ] } ] ```